Subject: bug#33093: 26.1, 7.2 emacs-mac; M-x list-colors-display RET; L1 is black on black

From: Eli Zaretskii <[email-masked]>
Date: Sun, 21 Oct 2018 15:28:05 +0300

> From: Van L <[email-masked]>
> Date: Sun, 21 Oct 2018 16:12:29 +1100
> Cc: [email-masked]
> 
> > Each color's name is shown twice, once when the color is used as
> > background, the other time it is used as foreground.  Are you saying
> > that you see neither of these two for some colors?
> 
> I see three columns. As an aside, previously my background color was ‘antique white’ now it is ‘gainsboro’. Back to here. The columns according to how I interpret them:
> 
>  1. text on color bar, this is the background-color, and the text is unreadable at line 1 (black on black)
>  2. the same color as foreground-color, the black text is readable on my normal background color
>  3. the RGB hex values
> 
> I am saying the problem is in column one where WYSIWYG background-color and text color are identical it is unreadable.

Could be foe some combinations, but then the color name is legible in
the other column.

> I’m suggest in column one, where the black text is too close to the background-color being demonstrated, such as blue, medium blue, that the text-color in column one should be inversed to white from black.

Volunteers are welcome to submit patches to do that.